Issue 87375 - Address Book Source types missing
Summary: Address Book Source types missing
Status: CLOSED NOT_AN_OOO_ISSUE
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 2.4 RC2
Hardware: All Linux, all
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: Frank Schönheit
QA Contact: issues@sw
URL: https://bugs.edge.launchpad.net/ubunt...
Keywords:
Depends on:
Blocks: 81913
  Show dependency tree
 
Reported: 2008-03-24 19:07 UTC by ccheney
Modified: 2009-07-12 18:28 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ccheney 2008-03-24 19:07:13 UTC
When compiled under Ubuntu and from what I have heard on openSUSE as well
(probably others too) Mozilla/Netscape, Thunderbird, and LDAP address book
sources are not available. According to what other people in the Ubuntu bug
report have investigated (see URL) the upstream version of OpenOffice.org only
supports very old versions of Mozilla/Thunderbird. I am not certain if that is
the reason that the LDAP address book source is missing as well. It would be
nice if the code was updated so when compiled against current versions of
Mozilla/Thunderbird it would work with them.
Comment 1 michael.ruess 2008-03-26 14:37:31 UTC
Reassigned to MSC.
Comment 2 kabban 2009-04-08 10:59:41 UTC
Any news on this bug? It is really annoying not to ba able to use my contacts.
Comment 3 rene 2009-06-23 09:07:01 UTC
> When compiled under Ubuntu and from what I have heard on openSUSE as well
> (probably others too) Mozilla/Netscape, Thunderbird, and LDAP address book
> sources are not available. 

True. Because all of them build with-system-,mozilla so the internal mozilla
OOo ships is not relevant.

> According to what other people in the Ubuntu bug
> report have investigated (see URL) the upstream version of OpenOffice.org only
> supports very old versions of Mozilla/Thunderbird.

True. Though cws moz2seamonkey01 (Issue 66338)  updates it to seamonkey (though
to a an already obosolete and buggy version. too)

> I am not certain if that is
> the reason that the LDAP address book source is missing as well. It would be
> nice if the code was updated so when compiled against current versions of
> Mozilla/Thunderbird it would work with them.

As said above, they do, but the problem then still would be that you need
a heavily patched mozilla/seamonkey for it and build it during the build...
(or prepare stuff in advance and make OOo use zips). That means shipping mozilla
stuff in the OOo installset -> nightmare security wise. OOo update for any
mozilla security update, anyone?

OOo should be fixed to just work with --with-system-mozilla for the mozilla
addressbooks (if ever possible..) and honestly, for LDAP it should be fixed to
not rely on Mozilla at all (but use OpenLDAP)
Comment 4 Frank Schönheit 2009-06-23 09:14:28 UTC
> Though cws moz2seamonkey01 (Issue 66338)  updates it to seamonkey (though
> to a an already obosolete and buggy version. too)

Comeon. That was the latest officially released SeaMonkey version at the moment
of the CWS build.

> OOo should be fixed to just work with --with-system-mozilla for the mozilla
> addressbooks (if ever possible..)

That's not possible as long as
https://bugzilla.mozilla.org/show_bug.cgi?id=135137 is not fixed.

> honestly, for LDAP it should be fixed to not rely on Mozilla at all
> (but use OpenLDAP)

That's issue 95961. Volunteers?


So, what do you expect us to do with this issue? When using the pre-built
OpenOffice.org, then the issue does not exist. Whether or not you like the
architecture chosen there is a different matter (and yes, I do not like it,
too). But we cannot fix an issue which is caused by a certain build setup.
Comment 5 rene 2009-06-23 09:26:04 UTC
fs:

> Comeon. That was the latest officially released SeaMonkey version at the moment
> of the CWS build.

That argument transpponed to OOo would mean I don't need to fix security bugs in
my packages in released distros because the versions which have the bug were
released before the bug was fixed/the version with the bug fixed released ;)

Anyway, you basically admit it 's valid issue until
https://bugzilla.mozilla.org/show_bug.cgi?id=135137 is fixed and then it can be
done. So if at all, it's LATER.

>OpenOffice.org, then the issue does not exist. Whether or not you like the
> architecture chosen there is a different matter (and yes, I do not like it,

Ah, good. So you admit there's an issue in this architecture :-)

> too). But we cannot fix an issue which is caused by a certain build setup.

The problem is that Debian does not even ship seamonkey because we don't have
the resources to fix all bugs in it security-wise. We'd need to do that in OOo
too every time, Not feasible. Not even for those security teams who *do* have 
the pime because they get paid for it :)
Comment 6 Frank Schönheit 2009-06-23 09:50:11 UTC
>>OpenOffice.org, then the issue does not exist. Whether or not you like the
>> architecture chosen there is a different matter (and yes, I do not like it,

> Ah, good. So you admit there's an issue in this architecture  :-) 

Sure, I said that before, I said that now, and I will continue to say that.
Nothing surprising here.

>> too). But we cannot fix an issue which is caused by a certain build setup.
> The problem is ...

We discussed that before, IIRC, and I understand your argueing.

All I was saying is that I cannot do anything about this particular bug here, as
it finally is caused by a certain build setup. There's a "solution" to this -
namely using another build setup, e.g. with the Moz prebuilts.

If you decide to not use this solution - and that's what you do: There's a
feature provided, and you decide, for reasons I do understand, not to use it -,
then that's your valid and legitimate decision. But still, I cannot do anything
about this issue here. There are other issues addressing the problem, as I
outlined above.

If you use --disable-directx in your build, you certainly won't submit an issue
complaining that DirectX does not work, will you?
Comment 7 rene 2009-06-23 10:07:07 UTC
> All I was saying is that I cannot do anything about this particular bug here, as
> it finally is caused by a certain build setup. There's a "solution" to this -
> namely using another build setup, e.g. with the Moz prebuilts.

No, that's no solution either. Besides that it also would need to maintain
them security-wise and rebuilding OOo against those security-fixed ones,
as said, we don't ship a complete seamonkey (and those would need to be built
out of one) and I bet our security team would veto it. And if you want to aim at
using your prebuilt ones - it doesn't have one for all the architectures Debian
support and is binary-only which is a no-go anyway (security can't be fixed
there in any case)

> about this issue here. There are other issues addressing the problem, as I
> outlined above.

No, there's an issue about the LDAP thing you pointed to. And to a mozilla
bugzilla entry. Not to an OOo IZ one. (While there should)

> If you use --disable-directx in your build, you certainly won't submit an issue
> complaining that DirectX does not work, will you?

No, I won't, but I don't do --disable-mozab. Actually, I *do* want to have the
mozab feature, but currently it's impossible to enable it...
Comment 8 Mechtilde 2009-07-12 18:28:25 UTC
invalid -> closed